package com.example.leudaemialikeme.Model;

import java.io.Serializable;
import java.sql.Timestamp;

public class Comment implements Serializable {
    private static final long serialVersionUID = 1L;
    private int cid;
    private int id;
    private String uName;
    private int uid;
    private String content;
    private Timestamp time;
    private int type; //评论1/回答2

    public Comment(){
    }
    public Comment(int id,int cid,String name,int uid,String content,Timestamp time,int type){
        this.id=id;
        this.cid=cid;
        this.uName=name;
        this.uid=uid;
        this.content=content;
        this.time=time;
        this.type=type;
    }
    public Comment(int id,String name,Timestamp time,int uid,String content,int type){
        this.time=time;
        this.id=id;
        this.uName=name;
        this.uid=uid;
        this.content=content;
        this.type=type;
    }
    public int getId(){
        return id;
    }
    public void setId(int id){
        this.id=id;
    }
    public int getCid(){
        return cid;
    }
    public void setCid(int cid){
        this.cid=cid;
    }
    public String getUName(){
        return uName;
    }
    public void setUName(String name){
        this.uName=name;
    }
    public int getUid(){
        return uid;
    }
    public void setUid(int uid){
        this.uid=uid;
    }
    public String getContent(){
        return content;
    }
    public void setContent(String content){
        this.content=content;
    }
    public Timestamp getTime(){
        return time;
    }
    public void setTime(Timestamp time){
        this.time=time;
    }
    public int getType(){
        return type;
    }
    public void setType(int type){
        this.type=type;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
